package com.pj.tb_order_goods;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: tb_order_goods -- 订单商品表
 * @author lbl 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbOrderGoodsService extends ServiceImpl<TbOrderGoodsMapper, TbOrderGoods> implements IService<TbOrderGoods>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbOrderGoodsMapper tbOrderGoodsMapper;

	/** 增 */
	void add(TbOrderGoods t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbOrderGoods t){
		updateById(t);

	}

	/** 查 */
	TbOrderGoods getById(String id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbOrderGoods> getList(SoMap so) { 
		return tbOrderGoodsMapper.getList(so);	
	}
	

}
